ru.yandex.clickhouse.util

## Class ClickHouseRowBinaryInputStream

- java.lang.Object
- - ru.yandex.clickhouse.util.ClickHouseRowBinaryInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class ClickHouseRowBinaryInputStream
    extends Object
    implements Closeable

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseRowBinaryInputStream(InputStream is, TimeZone timeZone, ClickHouseProperties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `readBoolean()`
`int` `readByte()`
`void` `readBytes(byte[] bytes)`
`void` `readBytes(byte[] bytes, int offset, int length)`
`Date` `readDate()`
`Date[]` `readDateArray()`
`Timestamp` `readDateTime()`
`Timestamp[]` `readDateTimeArray()`
`float` `readFloat32()`
`float[]` `readFloat32Array()`
`double` `readFloat64()`
`double[]` `readFloat64Array()`
`short` `readInt16()`
`short[]` `readInt16Array()`
`int` `readInt32()`
`int[]` `readInt32Array()`
`long` `readInt64()`
`long[]` `readInt64Array()`
`byte` `readInt8()`
`byte[]` `readInt8Array()`
`boolean` `readIsNull()`
`String` `readString()`
`String[]` `readStringArray()`
`int` `readUInt16()`
`int[]` `readUInt16Array()`
`short[]` `readUInt16ArrayAsShort()`
`short` `readUInt16AsShort()` Warning: the result is negative in Java if UInt16 > 0x7fff
`long` `readUInt32()`
`long[]` `readUInt32Array()`
`int[]` `readUInt32ArrayAsInt()`
`int` `readUInt32AsInt()` Warning: the result is negative in Java if UInt32 > 0x7fffffff
`BigInteger` `readUInt64()`
`BigInteger[]` `readUInt64Array()`
`long[]` `readUInt64ArrayAsLong()`
`com.google.common.primitives.UnsignedLong[]` `readUInt64ArrayAsUnsignedLong()`
`long` `readUInt64AsLong()` Warning: the result is negative in Java if UInt64 > 0x7fffffffffffffff
`com.google.common.primitives.UnsignedLong` `readUInt64AsUnsignedLong()`
`short` `readUInt8()`
`short[]` `readUInt8Array()`
`byte[]` `readUInt8ArrayAsByte()`
`byte` `readUInt8AsByte()` Warning: the result is negative in Java if UInt8 > 0x7f
`int` `readUnsignedLeb128()`
`UUID` `readUUID()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseRowBinaryInputStream

    public ClickHouseRowBinaryInputStream(InputStream is,
                                          TimeZone timeZone,
                                          ClickHouseProperties properties)

### Method Detail

#### readUnsignedLeb128

    public int readUnsignedLeb128()
                           throws IOException

Throws:
  `IOException`

#### readBytes

    public void readBytes(byte[] bytes)
                   throws IOException

Throws:
  `IOException`

#### readBytes

    public void readBytes(byte[] bytes,
                          int offset,
                          int length)
                   throws IOException

Throws:
  `IOException`

#### readByte

    public int readByte()
                 throws IOException

Throws:
  `IOException`

#### readIsNull

    public boolean readIsNull()
                       throws IOException

Throws:
  `IOException`

#### readString

    public String readString()
                      throws IOException

Throws:
  `IOException`

#### readBoolean

    public boolean readBoolean()
                        throws IOException

Throws:
  `IOException`

#### readUInt8

    public short readUInt8()
                    throws IOException

Throws:
  `IOException`

#### readUInt8AsByte

    public byte readUInt8AsByte()
                         throws IOException

Warning: the result is negative in Java if UInt8 > 0x7f

Returns:
  next UInt8 value as a byte
Throws:
  `IOException`

#### readInt8

    public byte readInt8()
                  throws IOException

Throws:
  `IOException`

#### readUInt16

    public int readUInt16()
                   throws IOException

Throws:
  `IOException`

#### readUInt16AsShort

    public short readUInt16AsShort()
                            throws IOException

Warning: the result is negative in Java if UInt16 > 0x7fff

Returns:
  next UInt16 value as a short
Throws:
  `IOException`

#### readInt16

    public short readInt16()
                    throws IOException

Throws:
  `IOException`

#### readUInt32

    public long readUInt32()
                    throws IOException

Throws:
  `IOException`

#### readUInt32AsInt

    public int readUInt32AsInt()
                        throws IOException

Warning: the result is negative in Java if UInt32 > 0x7fffffff

Returns:
  next UInt32 value as an int
Throws:
  `IOException`

#### readInt32

    public int readInt32()
                  throws IOException

Throws:
  `IOException`

#### readUInt64AsLong

    public long readUInt64AsLong()
                          throws IOException

Warning: the result is negative in Java if UInt64 > 0x7fffffffffffffff

Returns:
  next UInt64 value as a long
Throws:
  `IOException`

#### readUInt64AsUnsignedLong

    public com.google.common.primitives.UnsignedLong readUInt64AsUnsignedLong()
                                                                       throws IOException

Throws:
  `IOException`

#### readUInt64

    public BigInteger readUInt64()
                          throws IOException

Throws:
  `IOException`

#### readInt64

    public long readInt64()
                   throws IOException

Throws:
  `IOException`

#### readDateTime

    public Timestamp readDateTime()
                           throws IOException

Throws:
  `IOException`

#### readDate

    public Date readDate()
                  throws IOException

Throws:
  `IOException`

#### readFloat32

    public float readFloat32()
                      throws IOException

Throws:
  `IOException`

#### readFloat64

    public double readFloat64()
                       throws IOException

Throws:
  `IOException`

#### readDateArray

    public Date[] readDateArray()
                         throws IOException

Throws:
  `IOException`

#### readDateTimeArray

    public Timestamp[] readDateTimeArray()
                                  throws IOException

Throws:
  `IOException`

#### readStringArray

    public String[] readStringArray()
                             throws IOException

Throws:
  `IOException`

#### readInt8Array

    public byte[] readInt8Array()
                         throws IOException

Throws:
  `IOException`

#### readUInt8ArrayAsByte

    public byte[] readUInt8ArrayAsByte()
                                throws IOException

Throws:
  `IOException`

#### readUInt8Array

    public short[] readUInt8Array()
                           throws IOException

Throws:
  `IOException`

#### readInt16Array

    public short[] readInt16Array()
                           throws IOException

Throws:
  `IOException`

#### readUInt16ArrayAsShort

    public short[] readUInt16ArrayAsShort()
                                   throws IOException

Throws:
  `IOException`

#### readUInt16Array

    public int[] readUInt16Array()
                          throws IOException

Throws:
  `IOException`

#### readInt32Array

    public int[] readInt32Array()
                         throws IOException

Throws:
  `IOException`

#### readUInt32ArrayAsInt

    public int[] readUInt32ArrayAsInt()
                               throws IOException

Throws:
  `IOException`

#### readUInt32Array

    public long[] readUInt32Array()
                           throws IOException

Throws:
  `IOException`

#### readInt64Array

    public long[] readInt64Array()
                          throws IOException

Throws:
  `IOException`

#### readUInt64ArrayAsLong

    public long[] readUInt64ArrayAsLong()
                                 throws IOException

Throws:
  `IOException`

#### readUInt64ArrayAsUnsignedLong

    public com.google.common.primitives.UnsignedLong[] readUInt64ArrayAsUnsignedLong()
                                                                              throws IOException

Throws:
  `IOException`

#### readUInt64Array

    public BigInteger[] readUInt64Array()
                                 throws IOException

Throws:
  `IOException`

#### readFloat32Array

    public float[] readFloat32Array()
                             throws IOException

Throws:
  `IOException`

#### readFloat64Array

    public double[] readFloat64Array()
                              throws IOException

Throws:
  `IOException`

#### readUUID

    public UUID readUUID()
                  throws IOException

Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`